#ifndef __LCD_INIT_H
#define __LCD_INIT_H

#include "CH58x_common.h"

#define USE_HORIZONTAL 3  //úʾ 01Ϊ 23Ϊ


#if USE_HORIZONTAL==0||USE_HORIZONTAL==1
#define LCD_W 80
#define LCD_H 160

#else
#define LCD_W 160
#define LCD_H 80
#endif

#define u8  unsigned char
#define u16 unsigned int
#define u32 unsigned long


//-----------------LCD˿ڶ----------------

#define LCD_RES_LOW()   GPIOA_ResetBits(GPIO_Pin_2)//RES  rst
#define LCD_RES_HIGH()  GPIOA_SetBits(GPIO_Pin_2)

#define LCD_DC_LOW()    GPIOA_ResetBits(GPIO_Pin_3)//DC  data command select
#define LCD_DC_HIGH()   GPIOA_SetBits(GPIO_Pin_3)

#define LCD_BLK_LOW()    GPIOA_SetBits(GPIO_Pin_1)//BLK
#define LCD_BLK_HIGH()  GPIOA_ResetBits(GPIO_Pin_1)

#define LCD_CS_LOW()    GPIOA_ResetBits(GPIO_Pin_12)//CS
#define LCD_CS_HIGH()   GPIOA_SetBits( GPIO_Pin_12 );


void delay_ms(unsigned int ms);//׼ȷʱ
void LCD_GPIO_Init(void);//ʼGPIO
void LCD_Writ_Bus(u8 dat);//ģSPIʱ
void LCD_WR_DATA8(u8 dat);//дһֽ
void LCD_WR_DATA(u16 dat);//дֽ
void LCD_WR_REG(u8 dat);//дһָ
void LCD_Address_Set(u16 x1,u16 y1,u16 x2,u16 y2);//꺯
void LCD_Init(void);//LCDʼ
#endif




